Bug 444792 - Review Request: augeas - library for changing configuration files
Review Request: augeas - library for changing configuration files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 12:24 EDT by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 14:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
harald: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2008-04-30 12:24:53 EDT
Spec URL: http://people.redhat.com/dlutter/yum/spec/augeas.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/augeas-0.0.8-1.src.rpm
Description: 
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.
Comment 1 Harald Hoyer 2008-05-02 03:37:56 EDT
Ok, I will review the package.
Comment 2 Harald Hoyer 2008-05-02 03:40:54 EDT
I assume we want the new release version 0.1.0.

http://people.redhat.com/dlutter/yum/spec/augeas.spec
http://people.redhat.com/dlutter/yum/SRPMS/augeas-0.1.0-1.src.rpm
Comment 3 Harald Hoyer 2008-05-02 04:07:19 EDT
- MUST: rpmlint must be run on every package. The output should be posted in the
review.
* rpmlint output: OK
augeas-devel.i386: W: no-documentation

- MUST: The package must be named according to the Package Naming Guidelines.
* OK

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.
* OK

- MUST: The package must meet the Packaging Guidelines.
* OK

- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.
* OK, LGPLv2+

- MUST: The License field in the package spec file must match the actual license.
* OK

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
* OK

- MUST: The spec file must be written in American English.
* OK

- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
* OK

- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
* OK

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
* OK

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64
* OK

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.
* OK

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
* OK, but no translations included

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
* OK

- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
* OK

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.
* OK

- MUST: A package must not contain any duplicate files in the %files listing.
* OK

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
* OK, but not explicitly set in the specfile

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
* OK

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
* OK

- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
* OK

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)
* OK

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
* OK

- MUST: Header files must be in a -devel package.
* OK

- MUST: Static libraries must be in a -static package.
* no static libs present

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
* no pkgconfig file

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.
* OK

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 
* not OK.. should require the libs subpackage

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
* OK

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.
* OK

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.
* OK

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.
* OK

- MUST: All filenames in rpm packages must be valid UTF-8.
* OK
Comment 4 Harald Hoyer 2008-05-02 04:09:22 EDT
- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
* OK

- SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.
* non available

- SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.
* OK

- SHOULD: The package should compile and build into binary rpms on all supported
architectures.
* we will see

- SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
* OK

- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague,
and left up to the reviewers judgement to determine sanity.
* OK

- SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency.
* OK

- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
* OK

- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. Please see File Dependencies in the Guidelines for
further information. 
* OK
Comment 5 Harald Hoyer 2008-05-02 04:11:41 EDT
Summary: OK
- augeas-devel should require augeas-libs only.
- consider translations for the tools.
Comment 6 Harald Hoyer 2008-05-02 04:16:39 EDT
Correction:

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
* Not OK

Comment 7 Harald Hoyer 2008-05-02 04:17:59 EDT
Summary: NEEDSWORK
Comment 8 David Lutterkort 2008-05-02 14:02:56 EDT
Thanks for the review; addressed everything except for the translations.

Spec URL: http://people.redhat.com/dlutter/yum/spec/augeas.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/augeas-0.1.0-2.src.rpm
Comment 9 Harald Hoyer 2008-05-02 15:38:11 EDT
Status: OK
Comment 10 Patrice Dumas 2008-05-02 15:44:12 EDT
I have spotted a
Requires:       readline
which is certainly autodetected by rpmbuild.
Comment 11 David Lutterkort 2008-05-04 01:21:17 EDT
Thanks for spotting this - I'll check it and address it before I import the package
Comment 12 David Lutterkort 2008-05-04 01:23:24 EDT
New Package CVS Request
=======================
Package Name: augeas
Short Description: a configuration API
Owners: lutter
Branches: F-9
InitialCC: 
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-05-04 13:26:20 EDT
cvs done.
Comment 14 David Lutterkort 2008-05-05 14:17:17 EDT
Imported and built as http://koji.fedoraproject.org/koji/buildinfo?buildID=48148
Comment 15 Michael Schwendt 2008-05-06 04:07:48 EDT
> Requires:       readline

Is this needed? Isn't there an automatic SONAME dependency already?


> %files libs
> %{_datadir}/augeas

%defattr(-,root,root,-)  is missing here
Comment 16 David Lutterkort 2008-05-06 12:34:44 EDT
That slipped through the cracks; I fixed it in the spec file, though I don't
think it warrants a rebuild. It will be in the next version.
Comment 17 Richard W.M. Jones 2008-05-08 14:19:08 EDT
Package Change Request
======================
Package Name: augeas
New Branches: F-8
Comment 18 Kevin Fenzi 2008-05-08 15:44:12 EDT
cvs done.
Comment 19 David Lutterkort 2008-09-02 14:25:38 EDT
Package Change Request
======================
Package Name: augeas
New Branches: EL-5
Comment 20 David Lutterkort 2008-09-03 13:15:08 EDT
I also want to add apevec as comaintainer. So the complete request is

Package Change Request
======================
Package Name: augeas
New Branches: EL-5
Updated Fedora Owners: lutter, apevec
Comment 21 Kevin Fenzi 2008-09-03 16:38:43 EDT
cvs done.
Comment 22 David Lutterkort 2008-12-16 05:21:59 EST
Package Change Request
======================
Package Name: augeas
New Branches: EL-4
Updated Fedora Owners: lutter, apevec
Comment 23 Kevin Fenzi 2008-12-17 19:24:56 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.